rte_comp_decompress_xform(3)

NAME
rte_comp_decompress_xform

SYNOPSIS

#include <rte_comp.h>

  Data Fields

enum rte_comp_algorithm algo
enum rte_comp_checksum_type chksum
uint8_t window_size
union {
struct rte_comp_inflate_params inflate
struct rte_comp_lz4_params lz4
};
enum rte_comp_hash_algorithm hash_algo

Detailed Description

Setup Data for decompression.

Definition at line 333 of file rte_comp.h.

Field Documentation

  enum rte_comp_algorithm algo
Algorithm to use for decompression

Definition at line 334 of file rte_comp.h.

  enum rte_comp_checksum_type chksum
Type of checksum to generate on the decompressed data

Definition at line 336 of file rte_comp.h.

  uint8_t window_size
Base two log value of sliding window which was used to generate compressed data. If window size can't be supported by the PMD then setup of stream or private_xform should fail.

Definition at line 338 of file rte_comp.h.

  struct rte_comp_inflate_params inflate
Parameters specific to the deflate algorithm

Definition at line 344 of file rte_comp.h.

  struct rte_comp_lz4_params lz4
Parameters specific to the LZ4 algorithm

Definition at line 346 of file rte_comp.h.

  union { ... }
Algorithm specific parameters

  enum rte_comp_hash_algorithm hash_algo
Hash algorithm to be used with decompress operation. Hash is always done on plaintext.

Definition at line 349 of file rte_comp.h.

Author

Generated automatically by Doxygen for DPDK from the source code.